import  styles  from "../components/News/ArticlesCard/ArticlesCard.module.scss"

export const getTopicStyleFromTopic = (topic) => {
    switch (topic) {
      case undefined:
        return styles.noTopic
      case "Pandemic":
        return styles.pandemicTopic
      case "Extreme Weather":
        return styles.extremeWeatherTopic
      case "Rising Temperatures":
        return styles.risingTemperaturesTopic
      case "Sea Level Rise":
        return styles.seaLevelRiseTopic
      case "Energy Consumption":
        return styles.energyConsumptionTopic
      case "Sustainable Materials":
        return styles.sustainableMaterialsTopic
      case "Coastal Ecosystems":
        return styles.coastalEcosystemsTopic
      case "Recycling/Upcycling":
        return styles.recyclingTopic
      case "Green Technology":
        return styles.greenTechTopic
      case "Citizen Science":
          return styles.citizenScienceTopic
      case "Community Engagement":
        return styles.CommEngTopic 
      default:
        return undefined
    }
  }

